
getSSprofile := proc(outputPath)

global NH3exp;
local fileExp, fd;
global A, B;
global SS;



### START ###
	printf("GET EXPLICIT STEADY STATE PROFILE... \n");

#	A := eval({dS[1], dX[2]}, RR);
#	A := eval(dS, RR);
	A := eval(Vector([dS, dX]), RR);

	B := solve(convert(A, set), {xSurf[1], op(map(cat,xGases,'out'))});
#	B := solve(A[1], Pt_O);
	SS := allvalues(B)[2];

	SS := eval(SS, convert(kk, set));
	SS := eval(SS, convert(kk, set));
	SS := eval(SS, convert(Gcoef, set));
	SS := eval(SS, convert(relas, set));
	SS := eval(SS, convert(scientific, set));
	SS := eval(SS, convert(geo, set));
	SS := eval(SS, convert(Mstates,set));
	SS := eval(SS, convert(Mparams,set));



### GENERATED CODE

	fileExp := cat(outputPath, "/ssProfile.m");

	fd := FileTools[Text][Open](fileExp, create = true, overwrite = true);
	FileTools[Text][Close](fd);

#	C := codegen[makeproc]([SS[1]]);
#	C := codegen[makeproc](convert(SS, list));
#	C  := codegen[optimize](SS,'tryhard');
#	CodeGeneration[Matlab](convert(SS, list), optimize, output=fileExp);
	CodeGeneration[Matlab](convert(SS, list), output=fileExp);

	printf("DONE\n\n");
### END ###

end proc;




