	fileExp := cat(mainDir, "autocode.m");
	fd := FileTools[Text][Open](fileExp, create = true, overwrite = true);

	fprintf(fd, "\n");


### FUNCTION HEADER M
#
	fprintf(fd, "function [TKGout, ");
	for i to numelems(xGases) do
		fprintf(fd,"%s, ", convert(cat(xGases[i],out),string));
	end do;
	fprintf(fd, "%s, ", convert(cat(xSurf[1],new),string));
	fprintf(fd, "TKSnew] = fcn(p, mFlow, TKGin, ");
	for i to numelems(xGases) do
		fprintf(fd,"%s, ", convert(cat(xGases[i],"in"),string));
	end do;
	fprintf(fd, "%s, ", convert(xSurf[1],string));
	fprintf(fd, "TKS)\n");

#
###

	fprintf(fd, "\n");

	fprintf(fd, "%s Generated: ",convert([37], 'bytes'));
	fprintf(fd, StringTools[FormatTime]("%Y-%m-%d %H:%M"));
	fprintf(fd, "\n\n");

	fprintf(fd, "dt \t = %1.0e;\n", 1e-2);
	fprintf(fd, "nCells \t = %d;\n", 20);
	fprintf(fd, "Vcat \t = %1.0e;\n", 40e-3);
	fprintf(fd, "\n");

	for i to nops(params) do
		fprintf(fd, "%s p(%d)\t = %s;\n", convert([37], 'bytes'), n, params[i]);
	end do;
	fprintf(fd, "\n");

	fprintf(fd, "TKSnew \t = zeros(nCells,1);\n");
	fprintf(fd, "%s \t = zeros(nCells,1);\n", convert(cat(xSurf[1],new),string));
	fprintf(fd, "\n");

	fprintf(fd, "for n = 1:nCells\n");
	fprintf(fd, "\n");

	FileTools[Text][Close](fd);

	CodeGeneration[Matlab](expr, optimize, output=fileExp);


	fd := FileTools[Text][Open](fileExp,append=true);

	fprintf(fd, "\n");
	fprintf(fd, "TKGin \t = TKGout;\n");
	for i to nops(xGases) do
		fprintf(fd, "%s \t = %s;\n", convert(cat(xGases[i],"in"),string), convert(cat(xGases[i],"out"),string));
	end do;

	fprintf(fd, "\n");
	fprintf(fd, "end\n");
	fprintf(fd, "\n");

	fprintf(fd, "end\n");
	fprintf(fd, "\n");

	FileTools[Text][Close](fd);